ambari-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Dmitry Lysnichenko (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (AMBARI-21287) Cannot install Datanode/AppTimeLine server from ambari 3.0
Date Tue, 20 Jun 2017 15:26:00 GMT

     [ https://issues.apache.org/jira/browse/AMBARI-21287?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Dmitry Lysnichenko updated AMBARI-21287:
----------------------------------------
    Resolution: Fixed
        Status: Resolved  (was: Patch Available)

Committed
To https://git-wip-us.apache.org/repos/asf/ambari.git
   d693273dd2..4dac1b196e  trunk -> trunk


> Cannot install Datanode/AppTimeLine server from ambari 3.0
> ----------------------------------------------------------
>
>                 Key: AMBARI-21287
>                 URL: https://issues.apache.org/jira/browse/AMBARI-21287
>             Project: Ambari
>          Issue Type: Bug
>          Components: ambari-server
>    Affects Versions: 3.0.0
>            Reporter: Dmitry Lysnichenko
>            Assignee: Dmitry Lysnichenko
>            Priority: Blocker
>             Fix For: 3.0.0
>
>         Attachments: AMBARI-21287.patch
>
>
> Fails to install datanode and apptimeline server with the following error
> {code}
> Traceback (most recent call last):
> File "/var/lib/ambari-agent/cache/common-services/HDFS/3.0.0.3.0/package/scripts/datanode.py",
line 120, in <module>
> DataNode().execute()
> File "/usr/lib/python2.6/site-packages/resource_management/libraries/script/script.py",
line 330, in execute
> method(env)
> File "/var/lib/ambari-agent/cache/common-services/HDFS/3.0.0.3.0/package/scripts/datanode.py",
line 49, in install
> self.install_packages(env)
> File "/usr/lib/python2.6/site-packages/resource_management/libraries/script/script.py",
line 740, in install_packages
> retry_count=agent_stack_retry_count)
> File "/usr/lib/python2.6/site-packages/resource_management/core/base.py", line 155, in
__init__
> self.env.run()
> File "/usr/lib/python2.6/site-packages/resource_management/core/environment.py", line
160, in run
> self.run_action(resource, action)
> File "/usr/lib/python2.6/site-packages/resource_management/core/environment.py", line
124, in run_action
> provider_action()
> File "/usr/lib/python2.6/site-packages/resource_management/core/providers/package/__init__.py",
line 54, in action_install
> self.install_package(package_name, self.resource.use_repos, self.resource.skip_repos)
> File "/usr/lib/python2.6/site-packages/resource_management/core/providers/package/yumrpm.py",
line 43, in install_package
> if is_upgrade or use_repos or not self._check_existence(name):
> File "/usr/lib/python2.6/site-packages/resource_management/core/providers/package/yumrpm.py",
line 93, in _check_existence
> return self.yum_check_package_available(name)
> File "/usr/lib/python2.6/site-packages/resource_management/core/providers/package/__init__.py",
line 150, in yum_check_package_available
> name_regex = re.escape(name).replace("\\?", ".").replace("\\*", ".*") + '$'
> File "/usr/lib64/python2.7/re.py", line 206, in escape
> s = list(pattern)
> TypeError: 'NoneType' object is not iterable
> {code}
> Ambari version
> {code}
> ambari-server --version
> 3.0.0.0-855
> {code}



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message